[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TSearchAction.UpdateTarget

Updates the Enabled property for the action based on values in the Target control.

## Declaration

Source position: stdactns.pas line 297

`public procedure TSearchAction.UpdateTarget(`
`Target: TObject`
`); override;`

## Arguments

`Target` |  | Object instance that is the target control for the action.

## Description

UpdateTarget is an overridden method in TSearchAction. It implements the empty method introduced in the ancestor class.

In TSearchAction, UpdateTarget sets the value for the Enabled property in the action. Enabled is set to True when Target has a Text property that is not an empty string (''). It, in turn, determines the Enabled state for any client controls linked to the action. It also determines the return value from the Execute method; when Enabled is False, the return value from Execute is also False.

## See also

TSearchAction.ExecuteTarget |  | Executes the action for the specified Target control.
TSearchAction.UpdateControl |  | Updates the internal Control to the value in NewControl.
TCustomAction.Enabled |  | Enabled - whether this action is able to be used (default is True).
TBasicAction.UpdateTarget